#!/bin/sh
set -e

SOURCE_DIR=$(realpath $(dirname "${0}"))/setup

# Configure Solr
mkdir -p /srv/solr/data
cp /var/lib/lxc/solr/solr/opt/solr/server/solr/solr.xml /srv/solr/data/solr.xml
chown -R 8983:8983 /srv/solr/data

# Install service
cp ${SOURCE_DIR}/etc/init.d/solr /etc/init.d/solr
rc-update -u
